idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Apropos

Description

Synopsis

- apropos :: IState -> Text -> [Name]
- aproposModules :: IState -> Text -> [(String, Docstring DocTerm)]

# Documentation

apropos :: IState -> Text -> [Name] #

Find definitions that are relevant to all space-delimited components of some string. Relevance is one or more of the following:

- the string is a substring of the name
- the string occurs in the documentation string
- the type of the definition is apropos

aproposModules :: IState -> Text -> [(String, Docstring DocTerm)] #

Find modules whose names or docstrings contain all the space-delimited components of some string.